#sf-calendar-wrapper{
  position: relative;
  display: flex;

  .split-cal{

      &.left{
          flex: 1 1 auto;
          margin-right: rem(20);

          &.splitted-wrap{
              width: 73%;
              .hide{
                  display: none;
              }
          }

          #sf-calendar{
            .wj-calendar-outer{
              padding: 0;
            }
            #calendar-header{
              flex-wrap: wrap;
              div{
                &.calendar-header-left{
                  display: flex;
                  align-items: center;

                  .month-select{
                    margin: 0 rem(20) 0 0;
                  }
                  button{
                    margin-right: rem(5);
                  }
                  .btn-group{
                    margin-left: rem(5);
                  }
                }
                &.calendar-header-right{
                  display: flex;
                  .form-group{
                    margin-right: rem(10);
                    height: rem(28);
                    width: rem(320);
                    &.search-input-wrap2{
                      .btn-search{
                        height: calc(100% - 2px);
                      }
                    }
                    .action-chip-wrap{
                      .action-chip{
                        margin: 0;
                      }
                    }
                  }
                  
                }

                button{
                  img{
                    vertical-align: middle;
                  }
                }
              }
            }
            #calendar-month{
              table-layout: fixed;
              border: 1px solid $grey200;

              td{
                height: rem(165);
                padding: rem(5) 0;
                border: 1px solid $grey100;
                background-color: $white;
                text-align: left;

                .sf-day{
                  display: block;
                  width: rem(24);
                  height: rem(24);
                  margin: 0 auto;
                  line-height: 1.8;
                  border-radius: 50%;
                  text-align: center;

                  &.today{
                    background-color: $grey800;
                    color: $white;
                    text-align: center;
                  }
                }

                .schedule-list{
                  li{
                    a{
                      display: flex;
                      align-items: center;
                      margin: rem(10) 0;
                      padding: 0 rem(8);

                      .schedule{
                        overflow: hidden;
                        text-overflow: ellipsis;
                        white-space: nowrap;
                      }

                      &.allday-schedule{
                        margin: 0;
                        .schedule{
                          padding: rem(6) rem(8);
                        }

                         //230720
                        &.allday1{
                          .schedule{
                            color: #2D9BB2;
                          }
                          background-color: #ECFCF8; 
                        }
                        &.allday2{
                          .schedule{
                            color: #554596;
                          }
                          background-color: #EEEAF8;
                        }
                        &.allday3{
                          .schedule{
                            color: #00806A;
                          }
                          background-color: #DCFBEA;
                        } 
                        &.allday4{
                          .schedule{
                            color: #FFC907; 
                          }
                          background-color: #FFF8CD;
                        }
                        &.allday5{
                          .schedule{
                            color: #FF9322;
                          }
                          background-color: #FEEFD6;
                        }
                        &.allday6{
                          .schedule{
                            color: #F94B50;
                          }
                          background-color: #FEE6DB;
                        }
                        &.allday7{
                          .schedule{
                            color: #5E5FB7;
                          }
                          background-color: #D8D9F9;
                        }
                        &.allday8{
                          .schedule{
                            color: #89B129;
                          }
                          background-color: #F6FCD8;
                        } 
                        &.allday9{
                          .schedule{
                            color: #E12991; 
                          }
                          background-color: #FDD4DA;
                        }
                        &.allday10{
                          .schedule{
                            color: #77A5FF;
                          }
                          background-color: #E3F0FF;
                        }
                      }

                      &.schedule-more{
                        margin: 0 rem(10);
                        display: block;
                        color: $secondary;
                      }

                      span{
                        display: block;
                        &.time{
                          margin-right: rem(5);
                        }
                        &.allday{
                          flex: 0 0 8px;
                        }
                      }
                    }
                  }
                }
              }

              .calendar-month-header{
                 td{
                  height: rem(24);
                  line-height: 1.4;
                  text-align: center;
                 }
              }
            }
            
          }

      }
      
      &.right{
          display:none;
          opacity: 0;
          flex: 1 1  25%;
          padding: rem(20);
          background-color: $grey50;

          &.splitted-wrap{
              display: block;
              opacity: 1;
              border: 1px solid $grey300;
              border-radius: rem(2);
          }

          #calendar-view{
            .calendar-view-header{
              display: flex;
              justify-content: space-between;
              align-items: center;
              
              .date{
                font-size: 1rem;
                color: #1F1F1F;
                font-weight: 700;
              }
            }

            .calendar-view-list{
              margin: rem(50) 0 rem(10);
              li{
                display: flex;
                align-items: baseline;
                padding: rem(14);
                margin-bottom: rem(2);
                line-height: 1.6;
                background-color: $white;

                span{
                  &.allday{
                    flex: 0 0 8px;
                  }
                  &.time{
                    flex: 0 0 90px;
                  }
                  
                }
              }
            }
          }
          
      }

      
  }
  
}

.allday{
  display: inline-block;
  vertical-align: middle;
  width: rem(8);
  height: rem(8);
  margin: 0 rem(10) 0 0;
  border-radius: 50%;

  //230720
  &.allday1{
    background-color: #2D9BB2; 
  }
  &.allday2{
    background-color: #554596;
  }
  &.allday3{
    background-color: #00806A;
  }
  &.allday4{
    background-color: #FFC907;
  }
  &.allday5{
    background-color: #FF9322;
  }
  &.allday6{
    background-color: #F94B50;
  }
  &.allday7{
    background-color: #5E5FB7;
  }
  &.allday8{
    background-color: #89B129;
  }
  &.allday9{
    background-color: #E12991;
  }
  &.allday10{
    background-color: #77A5FF;
  }
}